> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Book Transfers



## OpenAPI

````yaml api-reference/openapi-payments.json GET /book
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /book:
    get:
      tags:
        - Book Transfer
      summary: List Book Transfers
      parameters:
        - description: ID of the account originating the transfer. Filterable.
          in: query
          name: from_account_id
          schema:
            type: string
        - description: >-
            ID of the organization with which the object is associated.
            Filterable.
          in: query
          name: org_id
          schema:
            type: string
        - description: One of `pending`, `canceled`, `sent`, or `error`. Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: ID of the account receiving the transfer. Filterable.
          in: query
          name: to_account_id
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - amount: '100.00'
                        created_at: '2017-11-02T11:55:14Z'
                        description: null
                        from_account_id: acct_1234567890
                        id: book_1029384756
                        status: pending
                        to_account_id: acct_0987654321
                        updated_at: '2017-11-02T11:55:14Z'
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        amount:
                          description: >-
                            Amount of money to transfer, with two decimal
                            precision
                          pattern: ^[0-9]+[.][0-9][0-9]$
                          type: string
                        bank_id:
                          description: ID of the bank with which the object is associated
                          type: string
                        bankdata:
                          description: >-
                            Optional arbitrary data that can be attached for the
                            bank's use
                          type: object
                        description:
                          description: >-
                            Optional description. Long descriptions may be
                            truncated on legacy banking cores.
                          type: string
                        error:
                          description: >-
                            Error message describing why a book transfer failed
                            to send
                          type: string
                        from_account_id:
                          description: >-
                            ID of the account originating the transfer.
                            Filterable.
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        org_id:
                          description: >-
                            ID of the organization with which the object is
                            associated. Filterable.
                          type: string
                        status:
                          description: >-
                            One of `pending`, `canceled`, `sent`, or `error`.
                            Filterable.
                          type: string
                        to_account_id:
                          description: >-
                            ID of the account receiving the transfer.
                            Filterable.
                          type: string
                        userdata:
                          description: Arbitrary data the user can attach to the object
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` book elements, starting after the book described by
            `page_cursor`. If no more books are available, the resulting list
            will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````